Summary:      Disposable Soft Synth Interface
Name:         dssi
Version:      0.9.1
Release:      14%{?dist}
License:      MIT
Group:        Applications/Multimedia
URL:          http://dssi.sourceforge.net/
Source0:      http://download.sf.net/sourceforge/dssi/dssi-0.9.1.tar.gz
Patch0:       dssi-0.9-math.patch
Patch1:       dssi-lib64.patch
Patch2:       dssi-0.9-cstdlib.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: ladspa-devel, alsa-lib-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: liblo-devel, libsndfile-devel, libsamplerate-devel
# for the examples
BuildRequires: qt-devel

%description
Disposable Soft Synth Interface (DSSI, pronounced "dizzy") is a
proposal for a plugin API for software instruments (soft synths) with
user interfaces, permitting them to be hosted in-process by Linux
audio applications. Think of it as LADSPA-for-instruments, or
something comparable to a simpler version of VSTi.

%package examples
Summary:  DSSI plugin examples
Group:	  Applications/Multimedia
License:  Public Domain
Requires: %{name} = %{version}

%description examples
Example plugins for the Disposable Soft Synth Interface.

%package devel
Summary:  Libraries, includes, etc to develop DSSI applications
Group:    Development/Libraries
License:  LGPL
Requires: ladspa-devel, alsa-lib-devel, liblo-devel
Requires: pkgconfig

%description devel
Libraries, include files, etc you can use to develop DSSI 
based applications.

%prep
%setup -q
%patch0 -p1

# Conditionally apply patch to read DSSI plugins from lib64 dir.
%ifarch x86_64
%patch1 -p0
%endif

%patch2 -p0

%build
%configure
make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/dssi/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README ChangeLog doc
%{_bindir}/dssi_osc_send
%{_bindir}/dssi_osc_update
%{_bindir}/jack-dssi-host
%dir %{_libdir}/dssi

%files examples
%defattr(-,root,root,-)
%{_libdir}/dssi/less_trivial_synth.so
%{_libdir}/dssi/less_trivial_synth
%{_libdir}/dssi/trivial_sampler.so
%{_libdir}/dssi/trivial_sampler
%{_libdir}/dssi/trivial_synth.so
%{_bindir}/trivial_sampler
%{_bindir}/trivial_synth
%{_bindir}/less_trivial_synth

%files devel
%defattr(-,root,root,-)
%doc COPYING
%{_includedir}/dssi.h
%{_libdir}/pkgconfig/dssi.pc

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.1-14
- Autorebuild for GCC 4.3

* Thu Jan 03 2008 Anthony Green <green@redhat.com> 0.9.1-13
- Add cstdlib patch for gcc 4.3 support.

* Mon Oct 07 2007 Anthony Green <green@redhat.com> 0.9.1-11
- Rebuild for new lash.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.9.1-10
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 18 2006 Anthony Green <green@redhat.com> 0.9.1-9
- Fix release tag.

* Mon Sep 18 2006 Anthony Green <green@redhat.com> 0.9.1-8.1
- Rebuild.

* Mon Sep  4 2006 Anthony Green <green@redhat.com> 0.9.1-8
- -devel packages with .pc files must now Require pkgconfig.

* Sun Jun  4 2006 Anthony Green <green@redhat.com> 0.9.1-7
- Tweak URL.

* Fri Jun  2 2006 Anthony Green <green@redhat.com> 0.9.1-6
- Tweak License again.

* Tue May 30 2006 Anthony Green <green@redhat.com> 0.9.1-5
- Add dssi-lib64.patch so jack-dssi-host looks in lib64 dir for
  x86-64 systems.

* Fri May 26 2006 Anthony Green <green@redhat.com> 0.9.1-4
- Tweak License fields.

* Sun May 21 2006 Anthony Green <green@redhat.com> 0.9.1-3
- Move .pc file from examples to devel.
- Delete the .la files instead of %exclude-ing them.
- Add some dependencies to the -devel package.
- dssi-devel package no longer depends on dssi.
- Move COPYING to devel package.

* Thu May 18 2006 Anthony Green <green@redhat.com> 0.9.1-2
- Clean up BuildRequires.
- Add "%dir" to dssi lib dir in $files.
- Move plugin examples to a new -examples package.

* Sat May 13 2006 Anthony Green <green@redhat.com> 0.9.1-1
- Upgrade to 0.9.1 sources.
- Remove fluidsynth-dssi bits.
- Own %{_libdir}/dssi.

* Tue Apr 25 2006 Anthony Green <green@redhat.com> 0.9-3
- Own %{_libdir}/dssi/* directories.

* Tue Apr 18 2006 Anthony Green <green@redhat.com> 0.9-2
- Build for Fedora Extras.

* Thu Aug 19 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4-1
- initial build.
- include fluidsynth sources, dssi needs them for the fluidsynth-dssi
  example (it relies on more than the standard fluidsynth API)
